Allow mobile users to be "remembered" on login.
Closed, DeclinedPublic

Description

Currently, there is no "remember me" checkbox on the mobile site for en.wikipedia. This means that every-time my browser crashes or I close it, I have to re-login to check my Watchlist. This results in me having to login 20 times a day on average and has driven me away from using the mobile site. Would like to see this checkbox added to the mobile login page, even if it is only "remember me for today."


Version: unspecified
Severity: normal

bzimport added a project: MobileFrontend-stable.Via ConduitNov 22 2014, 1:24 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz46241.
Technical13 created this task.Via LegacyMar 17 2013, 2:30 PM
Aklapper added a comment.Via ConduitMar 17 2013, 11:40 PM

(In reply to comment #0)

Currently, there is no "remember me" checkbox on the mobile site for
en.wikipedia. This means that every-time my browser crashes or I close it, I
have to re-login to check my Watchlist.

I would have expected modern browsers to remember logins for you.
Which mobile system and which browser is this about?

Technical13 added a comment.Via ConduitMar 18 2013, 11:10 AM

(In reply to comment #1)

(In reply to comment #0)
> Currently, there is no "remember me" checkbox on the mobile site for
> en.wikipedia. This means that every-time my browser crashes or I close it, I
> have to re-login to check my Watchlist.

I would have expected modern browsers to remember logins for you.
Which mobile system and which browser is this about?

It is on a BlackBerry Curve 9330/6.0.0.706 and there is no check box on the mobile login page like there is on the desktop login page.

Jdlrobson added a comment.Via ConduitMar 18 2013, 12:47 PM

This should happen by default. There is no check box by design. This is possibly related to this particular device... out of interest when you visit the site do you get redirected to the https version?

Jdlrobson added a comment.Via ConduitMar 18 2013, 8:59 PM

According to Brion the remember my login token is only valid on one device so if you log in on desktop it will log you out of mobile. Owch. This should be fixed.

Sue was also reporting same behaviour..

brion added a comment.Via ConduitMar 18 2013, 9:00 PM

Yes, we'll have to change the system to save multiple long-term tokens so multiple devices "just work" as expected. (May want to add a dependency bug for this.)

Technical13 added a comment.Via ConduitMar 18 2013, 9:14 PM

(In reply to comment #3)

This should happen by default. There is no check box by design. This is
possibly related to this particular device... out of interest when you visit
the site do you get redirected to the https version?

It does.

Awjrichards added a comment.Via ConduitApr 25 2013, 10:31 PM

ShoeMaker, if you log in to the mobile site, close your browser, and immediately reopen it, are you still logged in? I ask because I'm wondering if the problem you are experiencing is the same as what Jon/Brion mention in Comments 4 and 5, or if you're experiencing an actual issue with your session being preserved.

Technical13 added a comment.Via ConduitApr 26 2013, 12:11 AM

(In reply to comment #7)

ShoeMaker, if you log in to the mobile site, close your browser, and
immediately reopen it, are you still logged in? I ask because I'm wondering
if the problem you are experiencing is the same as what Jon/Brion mention in
Comments 4 and 5, or if you're experiencing an actual issue with your session
being preserved.

Okay, for me it works like this: If I'm logged into the mobile site and I close the browser and open it right back up instantly, I'm "usually" okay. If I close it and try to open it back up 5 minutes later, I have to log back in. If I have it open and I'm walking down the street and my phone picks up a different hotspot and I get a new IP address or if my provider switches towers, I get logged out between pages without closing. If I click on the desktop link on the bottom of the page to make an edit from mobile, I have to log back in. If I click on mobile from the bottom of the page while on desktop, I have to log back in. The "only" way I can stay logged in is if I stay in desktop version, and even then every 24-36 hours I need to log back in. I use a BlackBerry Curve 9330/6.0.0.706 if that is of any importance, and I can get you a full JavaScript userAgent string if you need it.

Awjrichards added a comment.Via ConduitApr 26 2013, 12:22 AM

Jeez, that's really irritating. This sounds like a totally different problem than what Jon/Brion mentioned earlier in comments 4 and 5. Should have asked you earlier - what browser are you using? Does the same behavior happen with other browsers on the same device?

Michelle, Jon - do we have a device we can replicate this behavior on?

Technical13 added a comment.Via ConduitApr 26 2013, 1:34 AM

(In reply to comment #9)

Jeez, that's really irritating. This sounds like a totally different problem
than what Jon/Brion mentioned earlier in comments 4 and 5. Should have asked
you earlier - what browser are you using? Does the same behavior happen with
other browsers on the same device?

Michelle, Jon - do we have a device we can replicate this behavior on?

alert(navigator.userAgent); returns:
Mozilla/5.0 (BlackBerry; U; BlackBerry 9330; en-US) AppleWebKit/534.8+ (KHTML, like Gecko) version.6.0.0.706 Mobile Safari/543.8+

Jdlrobson added a comment.Via ConduitMay 11 2013, 12:21 AM

No problems with the office Blackberry 9800.... ShoeMaker is it possible you have any browser privacy settings?

Reading this [1] it could be related to memory - could you try trying clearing the CONTENT CACHE and the PUSHED CONTENT ?

[1] http://forums.crackberry.com/blackberry-curve-83xx-f52/browser-issue-keep-getting-kicked-out-after-logging-websites-573105/

Technical13 added a comment.Via ConduitMay 11 2013, 1:51 AM

(In reply to comment #11)

No problems with the office Blackberry 9800.... ShoeMaker is it possible you
have any browser privacy settings?

Reading this [1] it could be related to memory - could you try trying
clearing
the CONTENT CACHE and the PUSHED CONTENT ?

[1]
http://forums.crackberry.com/blackberry-curve-83xx-f52/browser-issue-keep-
getting-kicked-out-after-logging-websites-573105/

I've cleared the cache and pushed content many times (makes me have to log back into everything, so annoying). I've eliminated all except the most essential programs (home, phone, mail, and browser are the only ones left running. I also have all privacy settings turned off so anything can come in. Any other ideas?

Awjrichards added a comment.Via ConduitMay 13 2013, 4:58 PM

Shoemaker, have you tried using a different browser on your device? Also, have you experienced issues with login on other sites?

Jdlrobson added a comment.Via ConduitMay 23 2013, 5:27 PM

Marking as lower importance as we've had no other reports. Still very curious to why this isn't working though and keen to fix.

Technical13 added a comment.Via ConduitMay 30 2013, 12:28 PM

(In reply to comment #13)

Shoemaker, have you tried using a different browser on your device? Also,
have
you experienced issues with login on other sites?

My device can't handle adding another browser, I tried and it locked up forcing me to have to reset the device to factory again. Another strange thing on that device I don't remember if I mentioned before and may not be relevant; when I am at the login screen and try to login, it hangs when I hit the login button. What I have to do is hit login, hit stop, then hit login again and it goes right through. It is very curious and I do not know if this might be somehow related.

Awjrichards added a comment.Via ConduitJun 3 2013, 4:51 PM

Since we have been totally unable to replicate the problem, it sounds like a very device-specific issue, and no one else has reported similar issues, I am closing this as 'worksforme'. If anyone else is experiencing the issue or can replicate this problem, we can reopen the bug.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.